Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets.html
Class SetupValidatorsParameter

    java.lang.Object
      org.richfaces.view.facelets.html.SetupValidatorsParameter

All Implemented Interfaces:
  java.io.Serializable

    public class SetupValidatorsParameter

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`SetupValidatorsParameter(AbstractGraphValidator graphValidator, java.lang.Class<? extends javax.faces.validator.Validator> defaultValidatorClass, java.lang.Class<?>[] groups)`

Method Summary
`java.lang.Class<? extends javax.faces.validator.Validator>` | `getDefaultValidatorClass()`
`java.lang.Class<?>[]` | `getGroups()`
`javax.faces.validator.Validator` | `getValidator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetupValidatorsParameter

    public SetupValidatorsParameter(AbstractGraphValidator graphValidator,
                                    java.lang.Class<? extends javax.faces.validator.Validator> defaultValidatorClass,
                                    java.lang.Class<?>[] groups)

Method Detail

### getValidator

    public javax.faces.validator.Validator getValidator()

### getDefaultValidatorClass

    public java.lang.Class<? extends javax.faces.validator.Validator> getDefaultValidatorClass()

### getGroups

    public java.lang.Class<?>[] getGroups()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.